aboutsummaryrefslogtreecommitdiffstats
path: root/main/opusfile/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-04-30 11:33:44 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-04-30 12:03:02 +0000
commitd4153732c0dd87185e34190ac7f185dd11579e22 (patch)
tree1a7d9792ca7a126f56ebcc5c70f26e4e4a339192 /main/opusfile/APKBUILD
parent3290f0a3deb91d0331b42ca02af6dfa2a8aa157a (diff)
downloadaports-d4153732c0dd87185e34190ac7f185dd11579e22.tar.gz
aports-d4153732c0dd87185e34190ac7f185dd11579e22.tar.bz2
aports-d4153732c0dd87185e34190ac7f185dd11579e22.tar.xz
main/opusfile: new aport
high-level API for decoding and seeking within .opus files http://www.opus-codec.org/
Diffstat (limited to 'main/opusfile/APKBUILD')
-rw-r--r--main/opusfile/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/main/opusfile/APKBUILD b/main/opusfile/APKBUILD
new file mode 100644
index 0000000000..dc9b97c108
--- /dev/null
+++ b/main/opusfile/APKBUILD
@@ -0,0 +1,50 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=opusfile
+pkgver=0.6
+pkgrel=0
+pkgdesc="A high-level API for decoding and seeking within .opus files"
+url="http://www.opus-codec.org/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev="libogg-dev openssl-dev opus-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.xiph.org/releases/opus/opusfile-$pkgver.tar.gz"
+
+_builddir="$srcdir"/opusfile-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --disable-static \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="3d6705e66375f6205dffdd63b2ad3538 opusfile-0.6.tar.gz"
+sha256sums="2428717b356e139f18ed2fdb5ad990b5654a238907a0058200b39c46a7d03ea6 opusfile-0.6.tar.gz"
+sha512sums="6fee48f3da21eeffed1ee5a3852234032aa559335225b07383c1104f5efba2f88aebe41c453ab2de472a69766e0fa9b48bec2f97d2a096b27afa96901802ba02 opusfile-0.6.tar.gz"